2009-04-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* filter-option.c: (combobox_changed), (get_widget):
	Fix breakage of filter options.

2009-04-24  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #572348

	* filter.glade:
	* filter-datespec.c:
	* filter-rule.c:
	* filter-option.c:
	Remove deprecated Gtk+ symbols.

2009-01-11  Tor Lillqvist  <tml@novell.com>

	* filter-option.c (get_dynamic_options): Add cast to avoid
	warning.

2009-01-11  Tor Lillqvist  <tml@novell.com>

	** Bug #567244

	* filter-option.c (get_dynamic_options): For portability, use
	<gmodule.h> API instead of <dlfcn.h> API.

2009-01-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #567031

	* rule-editor.c: (rule_editor_new): Hide also label of the combo.

2009-01-08  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #339879

	* filter-code.h: (filter_code_new):
	* filter-code.c: (filter_code_new), (build_code):
	* rule-context.c: (new_element):
	Have two types of code expression, one "code", which adds also
	a "match-all" into the expression, and a "rawcode" without it.

2008-12-15  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* filter-int.c: (get_widget):
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-12-10  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563870

	* Makefile.am:
	* filter-label.h:
	* filter-label.c: Drop, not used anywhere.
	* filter-element.c:
	* rule-context.c: Remove dropped include and code.

	* filter-option.c: (get_dynamic_options), (xml_create), (get_widget):
	Evaluate dynamic options even on create, to have them available for
	saved searches even before the widget itself is shown.

2008-12-09  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #563669

	* filter.glade:
	Use zero GtkSpinButton's PageSize, as Gtk+ requires.

2008-12-05  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #332629

	* filter-option.h: (struct _filter_option),
	(struct _FilterOption), (filter_option_add):
	* filter-option.c: (filter_option_init), (filter_option_finalise),
	(filter_option_add), (xml_create), (get_widget), (clone):
	Be able to define optionlist with dynamically created list of options.

	* filter-label.c: (fill_options): Adapt.

2008-10-17  Matthew Barnes  <mbarnes@redhat.com>

	** Fix for bug #503898

	* filter-rule.c: (get_widget): s/criteria/condition/

2008-10-06  Lucian Langa <lucilanga@gnome.org>

	** Fix for bug #554566

	* rule-editor.c: (rule_editor_class_init), (rule_edit),
	(rule_top), (rule_up), (rule_down), (rule_bottom),
	(cursor_changed)
	(update_selected_rule): new function to update
	current selected rule

2008-10-01  Sankar P  <psankar@novell.com>

License Changes

	* filter-rule.c:

2008-09-29  Sankar P  <psankar@novell.com>

License Changes

	* rule-editor.c:

2008-09-25  Sankar P  <psankar@novell.com>

License Changes

	* filter-element.c:
	* filter-int.c:
	* filter-int.h:

2008-09-24  Sankar P  <psankar@novell.com>

License Changes

	* filter-datespec.c:

2008-09-16  Sankar P  <psankar@novell.com>

License Changes

	* filter-option.c:
	* filter-part.c:

2008-09-02  Sankar P  <psankar@novell.com>

License Changes

	* filter-code.c:
	* filter-code.h:
	* filter-colour.c:
	* filter-colour.h:
	* filter-datespec.h:
	* filter-element.h:
	* filter-file.c:
	* filter-input.c:
	* filter-input.h:
	* filter-option.h:
	* filter-part.h:
	* filter-rule.h:
	* rule-context.c:
	* rule-editor.h:

2008-08-27  Sankar P  <psankar@novell.com>

License Changes

	* filter-file.h:
	* filter-label.c:
	* filter-label.h:
	* rule-context.h:

2008-07-30  Takao Fujiwara  <takao.fujiwara@sun.com>

	Reviewed by Srinivasa Ragavan <sragavan@novell.com>

	** Fix for bug #545303

	* filter-rule.c: (xml_decode): Add gettext in the xml string.

2008-07-28  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #530388

	* filter-label.c: (filter_label_init), (filter_label_finalise),
	(fill_options), (filter_label_count), (filter_label_label),
	(filter_label_index): Make 'cache_lock' a rec mutex.
	* filter-label.c: (regen_label_options): Guard also regeneration
	of each tracked item with the rec lock, thus noone will touch
	'tracked_filters' GSList until we are fully done with it.

2008-07-03  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #243201

	* filter-rule.c: (xml_encode): Escape rule title so that can contain
	also XML entities in the file.

2008-06-16  Maciej Piechotka  <uzytkownik2@gmal.com>

	** Fix for bug #526262

	* filter-part.c: (xml_create):
	* filter-part.c: (filter_part_xml_create):
	Handle _title element in analogical way as title

2008-06-19  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #382783

	* filter-rule.c: (do_grab_focus_cb), (more_parts), (get_widget):
	Grab focus of new rule part on adding and scroll to the bottom too.

2008-06-09  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #201011

	* filter-rule.h: (struct _FilterRule): New property 'enabled'
	to be able to disable filter rules.
	* filter-rule.c: (filter_rule_init), (rule_eq), (xml_encode),
	(xml_decode), (rule_copy): Store/restore/use 'enabled' value.
	* rule-editor.c: (add_editor_response), (rule_move), (set_source):
	Set the 'enabled' column properly.
	* rule-editor.c: (rule_able_toggled), (rule_editor_treeview_new):
	Add column "Enabled" to the tree, but have it hidden by default, only
	those whom supports it can show it.

2008-06-03  Kjartan Maraas  <kmaraas@gnome.org>

	* filter-part.c: (main): gtk_window_set_policy ->
	gtk_window_set_resizable + other cleanups.

2008-05-22  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #534360

	* rule-editor.c:
	* rule-editor.h:
	Migrate from deprecated GtkObject symbols to GObject equivalents.

2008-01-10  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #211353

	* filter-option.h:
	* filter-option.c: (filter_option_get_current),
	(filter_option_remove_all): New functions to be able to refill options
	even after initialization of the filter element.
	* filter-label.c: Added support to notify changes on labels in runtime
	and use actual labels.

2007-12-17  Srinivasa Ragavan  <sragavan@novell.com>

	* filter-label.c: (filter_label_count), (filter_label_label),
	(filter_label_index), (xml_create): Removing cyclic dependency caused 
	by mail_config_get_labels.

2007-12-14  Milan Crha  <mcrha@redhat.com>

	** Part of fix for bug #211353

	* filter-label.c: Use global label's setup, not its own copy.

2007-12-07  Bob Mauchin  <zebob.m@pengzone.org>

	** Fix for bug #438769

	* filter-rule.c: (get_widget): Changed label from 'Search name' to 
	'Rule name' in the add-new-message-filter dialog - i.e. 
	edit -> message filters -> add

2007-10-26  Kjartan Maraas  <kmaraas@gnome.org>

	* filter-datespec.c: (set_values):
	* filter-rule.c: (filter_rule_get_type), (filter_rule_new),
	(rule_copy):
	* rule-editor.c: (editor_response), (rule_delete), (rule_move):

	Warning fixes:
	- NULL vs 0
	- ANSIfication of declarations
	- mixing code and declarations

2007-10-11  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #323977

	* filter-rule.c: (get_widget):
	Use "Add Filter Criteria" instead of plain "Add" for button label.

2007-10-09  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #437579

	* filter-file.c:
	Fix various compiler warnings.  Patch from Milan Crha.

2007-09-27  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fix for bug #461195

	* filter-marshal.list: Remove needless marshalers.
	* filter-rule.c:
	* filter-context.c: Use GObject's marshalers.

2007-09-14  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #476231

	* filter-file.c:
	Remove non-USE_GTKFILECHOOSER code.
	GtkFileChooser has been around since 2004.

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #473514

	* filter-part.c: (filter_part_get_widget):
	Allow expand and fill free space to FilterFile.
	* filter-rule.c: (option_activate), (get_rule_part_widget):
	Allow rule part fill space if requested.

	* filter-file.c: (get_widget): Fixed runtime warning.

2007-09-12  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #231178

	* filter-label.c: (xml_create):
	Removes underscores from titles.

2007-09-03  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #471791 (Move away from asserts to g_ret*)

	* filter-option.c: (filter_option_set_current),
	(filter_option_add):
	* filter-rule.c: (filter_rule_clone), (filter_rule_set_name),
	(filter_rule_set_source), (filter_rule_validate), (filter_rule_eq),
	(filter_rule_xml_encode), (filter_rule_xml_decode),
	(filter_rule_copy), (filter_rule_add_part),
	(filter_rule_remove_part), (filter_rule_replace_part),
	(filter_rule_build_code), (filter_rule_emit_changed):
	* rule-context.c: (rule_context_add_part_set),
	(rule_context_add_rule_set), (rule_context_set_error),
	(rule_context_load), (rule_context_save), (rule_context_revert),
	(rule_context_find_part), (rule_context_create_part),
	(rule_context_next_part), (rule_context_next_rule),
	(rule_context_find_rule), (rule_context_add_part),
	(rule_context_add_rule), (rule_context_add_rule_gui),
	(rule_context_remove_rule), (rule_context_rank_rule),
	(rule_context_get_rank_rule), (rule_context_find_rank_rule):
	* rule-editor.c: (rule_move), (cursor_changed):

2007-08-13  Ross Burton  <ross@openedhand.com>

	* rule-context.c:
	Remove unused include.

2007-07-30  Andre Klapper  <a9016009@gmx.de>

	* filter.glade:
	remove "window1" string from translation

2007-07-27  Johnny Jacob  <jjohnny@novell.com>

	** Fix for bug #457523.
	
	* filter-int.c: (format_sexp): use (- n) for negative values.
	
2007-06-15  Milan Crha  <mcrha@redhat.com>

	** Fix for bug #263207

	* filter-rule.c: (validate): No part is not valid.
	* filter-rule.c: (less_parts): Can remove all parts.
	* rule-editor.c: (dialog_rule_changed): New callback
	for disabling OK button in dialog when rule isn't valid.
	* rule-editor.c: (rule_add), (rule_edit):
	Connecting dialog_rule_changed on "changed" signal of
	actual rule.

2007-06-04  Chenthill Palanisamy  <pchenthill@novell.com>

	* rule-context.c: (new_element): Added a percentage 
	element.
	
	Committing on behalf of Keshav Upadhyaya <ukeshav@novell.com>	

2007-05-17  Gilles Dartiguelongue  <dartigug@esiee.fr>

	** Fixes bug #439118

	* filter-code.c: (filter_code_init):
	* filter-colour.c: (xml_encode), (xml_decode):
	* filter-datespec.c: (xml_encode), (xml_decode):
	* filter-element.c: (xml_create):
	* filter-file.c: (filter_file_new_type_name), (xml_encode),
	(xml_decode):
	* filter-input.c: (filter_input_new_type_name), (xml_encode),
	(xml_decode):
	* filter-int.c: (xml_encode), (xml_decode):
	* filter-option.c: (xml_create), (xml_encode), (xml_decode):
	* filter-part.c: (filter_part_xml_create),
	(filter_part_xml_encode), (filter_part_xml_decode):
	* filter-rule.c: (xml_encode), (load_set), (xml_decode):
	* rule-context.c: (load), (save), (revert): fix compilation warnings

2007-05-11  Srinivasa Ragavan  <sragavan@novell.com>

	** Patch from Trever Adams for bug #211058

	* filter-datespec.c: (set_button), (get_values), (set_values),
	(set_option_past_future), (button_clicked), (format_sexp):
	* filter-datespec.h:
	* filter.glade:

2007-04-20  Srinivasa Ragavan  <sragavan@novell.com>

	** Fix for bug #430559 from Vinod.

	* filter-rule.c: (get_widget): Added mnemonics.

2007-04-01  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #373116

	* filter-colour.h:
	Store color as a GdkColor instead of separate RGBA components.

	* filter-colour.c (color_eq):
	Use gdk_color_equal() to compare colors.

	* filter-colour.c (xml_encode):
	Encode color as a single property ("spec").

	* filter-colour.c (xml_decode):
	Read the color from a single property ("spec").
	Provide a migration path for old XML files.

	* filter-colour.c (get_widget):
	Migrate from GnomeColorPicker to GtkColorButton.

2007-03-20  Matthew Barnes  <mbarnes@redhat.com>

	** Fixes part of bug #419524

	* Include <glib/gi18n.h> instead of <libgnome/gnome-i18n.h>.

2007-02-04  Andre Klapper  <a9016009@gmx.de>

	* filter-rule.c: (get_widget): Add mnemonic to "Find items".
	Fixes bug #404242.

2006-10-01  Kjartan Maraas  <kmaraas@gnome.org>

	* filter-file.c: (get_widget): Move a var into #ifndef #USE_FILECOOSER
	to get rid of a warning. bug #332101.

2006-09-25  Ushveen Kaur <kushveen@novell.com>

	** Fixes bug #324882
	* filter.glade: Alignment corrected for the date filtering rule.
	
2006-07-07  Hiroyuki Ikezoe  <poincare@ikezoe.net>

	** Fixes bug #341369
	* rule-editor.c: fixing a memory leak.

2006-02-24  Shi Pu <shi.pu@sun.com>

	** Fixes Bug #323853

	* filter-file.c: (filename_changed), (get_widget):
	Replace GnomeFileEntry by GtkFileChooserButton.

2006-01-27  Kjartan Maraas  <kmaraas@gnome.org>

	* filter-element.c: (filter_element_get_type): Remove unused code
	* rule-editor.c: (rule_editor_add_undo), (rule_editor_play_undo),
	(editor_response), (set_source): Move around some code to avoid
	unneccesary prototypes.

2006-01-25  Not Zed  <NotZed@Ximian.com>

	 * filter-rule.[ch]: Added new thread-matching mode 'single' for
	 messages not part of any conversation.
	 Committed on behalf of Notzed - partha

2005-12-20  Matthew Hall  <matt@castleinthesky.org>

	* filter.glade; rule-editor.c: adding top/bottom buttons for
	filter manager dialog. Fixes bug 205616.

2005-12-20  Srinivasa Ragavan <sragavan@novell.comcom>

	** Fixes bug #246225 
	** Fixes bug #246227

	* filter-rule.c: Added the UI suggestions for "Advanced search" and "Save search"
	
	Commiting patch from Arulanandan P <arulanandan@gmail.com>

2005-12-17  Tor Lillqvist  <tml@novell.com>

	* filter-file.c
	* rule-context.c: Use libedataserver's e_xml_parse_file(). Use
	gstdio wrappers. Use g_file_test().

2005-08-23  Not Zed  <NotZed@Ximian.com>

	* filter-rule.c (get_widget): cast.

2005-08-10  Tor Lillqvist  <tml@novell.com>

	* Makefile.am: Use privsolib instead of privlib. On Unix they are
	the same, on Win32 privsolibdir is the same as libdir. Use the
	macro name EVOLUTION_GLADEDIR as in e-util/e-util-private.h
	instead of FILTER_GLADEDIR, so that the Win32 run-time path lookup
	mechanism works. Use NO_UNDEFINED. Link explicitly with the actual
	libraries used.

	* filter-datespec.c: No localtime_r() on Win32, but we can use
	plain localtime() which is thread-safe in the Microsoft C library.

	* filter-datespec.c
	* rule-editor.c: Include e-util-private.h for Win32 path run-time
	lookup. Use EVOLUTION_GLADEDIR instead of FILTER_GLADEDIR, and do
	the filter.glade pathname construction at run-time so it works
	even when EVOLUTION_GLADEDIR is a function call on Win32.

2005-05-16  Not Zed  <NotZed@Ximian.com>

	* moved e-error to e-util

	* Makefile.am: fix error i18n extraction

2005-05-06  Sarfraaz Ahmed <asarfraaz@novell.com>

	* filter-rule.c : Remove markup from translatable string. Fixes #268390
	Patch submitted by Priit Laes

2005-02-17  Harry Lu  <harry.lu@sun.com>

	Fix for 72676.

	* rule-editor.c: (double_click): call gtk_tree_selection_get_selected
	to see if there is a row selected.

2005-02-09  Hans Petter Jansson  <hpj@novell.com>

	* Makefile.am: Install shared libraries in privlibdir.

2005-01-11  Not Zed  <NotZed@Ximian.com>

	* filter-part.c (filter_part_expand_code): cast lenght specifiers
	to int.

2004-12-02  Diego Sevilla Ruiz  <dsevilla@dsevilla>

	* filter.glade: Added label "Show filters for mail:".
	
	* filter-rule.c: Capitalize Ingoing and Outgoing labels.
	Fixes #46229.
	
2004-11-29  Mengjie Yu  <meng-jie.yu@sun.com>

	* filter-rule.c: (get_widget):add mnemonic widget in search box.

2004-11-15  Not Zed  <NotZed@Ximian.com>

	* *.c: Moved stuff from e-util to libedataserver.

	* filter-system-flag.c: removed gal header.

2004-07-29  Carlos Garnacho Parro  <carlosg@gnome.org>

	* filter-file.c: added the "use_filechooser" property to the 
	GnomeFileEntry

2004-06-21  Jeffrey Stedfast  <fejj@novell.com>

	* filter-input.c (xml_encode): encode entities. fixes bug #46677.

2004-06-18  Jeffrey Stedfast  <fejj@ximian.com>

	* filter-errors.xml.h: Re-added - THIS IS NOT TO BE REMOVED!!!!

2004-06-17  Rodney Dawes  <dobey@novell.com>

	* filter-errors.xml.h: Remove this generated file from CVS

2004-06-17  Not Zed  <NotZed@Ximian.com>

	** See #59885.

	** Moved all of the mailer specific filter stuff into mail/*.

	* filter-element.c (copy_value): implement for base types.

	* filter-element.c (filter_element_copy_value): do this as a
	virtual method.

	* filter.glade: moved the vfolder stuff to mail/

	* libfilter-i18n.h: removed, moved to mailer.

	* filter-errors.xml: moved the vfolder/filtering errors to the
	mail error file.

	* Makefile.am (EXTRA_DIST): moved *types.xml to mail.
	(INCLUDES): removed a bunch of mail dependencies.

	* filter-*.[ch], vfolder-*.[ch]: Moved all mail related filter and
	vfolder stuff to mail directory.

	* score-*.[ch]: Removed all of it.

	* vfolder-context.c (vfolder_new_element): and for vfolders.

	* filter-context.c (filter_new_element): implement for filter
	element types.

	* rule-context.c (rc_new_element): replacement for old
	filter_element_new_type_name.  only has the basics.

	* filter-part.c (filter_part_xml_create): take a rule context
	as an argument & and look up the element name off the context.

	* rule-context.c (rule_context_new_element): new virtual method to
	get an element for a given name.

	* filter-element.c (filter_element_new_type_name): removed.

2004-06-08  Not Zed  <NotZed@Ximian.com>

	* filtertypes.xml: give the junk test a unique name. #59567.

2004-05-27  Rodney Dawes  <dobey@novell.com>

	* Makefile.am (EXTRA_DIST): Add $(error_i18n)

2004-05-26  Rodney Dawes  <dobey@novell.com>

	* libfilter-i18n.h: Removed from CVS
	Generated files don't belong in CVS

2004-05-19  JP Rosevear  <jpr@novell.com>

	* Makefile.am: don't dist the error .h file

2004-05-18  Not Zed  <NotZed@Ximian.com>

	* vfolder-rule.c (source_add): fix for folder selector api change,
	change the ok button to "Add".

2004-05-12  Jeffrey Stedfast  <fejj@novell.com>

	* vfolder-rule.c: Same.

	* filter-folder.c: Added a #include to fix some compile warnings.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* filter-rule.c (xml_decode): load threading option if threading
	enabled.
	(xml_encode): write out threading setting.
	(rule_copy): copy threading option.
	(rule_eq): compare threading.
	(build_code): build the match-threads stuff if set.
	(fr_grouping_changed): insead of the match_all match_any activate
	clalbacks.
	(fr_threading_changed): handle threading option menu

	* rule-context.c (rule_context_init): set capabilities flags.

	* vfolder-context.c (vfolder_context_init): set capabilities flags
	to include threading.

	* rule-context.h: added a capabilities flag, grouping and
	threading capabilities.  Sort of a hack to workaround not being
	able to put grouping or threading into rules.

	* filter-rule.h: added an option for threading as well as
	grouping.

2004-05-12  Not Zed  <NotZed@Ximian.com>

	* Makefile.am (%.xml.h): fix i18n file generation rules.

	* filter-errors.xml: rename from xml.in and fix tags.

	* filter-errors.xml.h: add for translators.

2004-05-03  Jeffrey Stedfast  <fejj@ximian.com>

	* vfoldertypes.xml: Added the Junk status flag to the xml
	definition so you can vfolder on that.

2004-04-28  Not Zed  <NotZed@Ximian.com>

	* filter-option.c (filter_option_add): fix a warning.

	** Changed error messages to use EError.

2004-03-31  Not Zed  <NotZed@Ximian.com>

	* filter.glade: renamed filter_label to rule_label, and removed
	the vfolder-editor and filter-editor windows.

	* rule-editor.c (rule_editor_new): hide the source widget.

	* vfolder-editor.c (vfolder_editor_new): hide the source widget.

	* rule-editor.c (rule_editor_new): add a label argument.

	* vfolder-editor.c (vfolder_editor_new): ditto below.

	* filter-editor.c (filter_editor_new): dont add any label here.

	* rule-editor.c (rule_editor_construct): Put the widget back in
	the dialogue box here.  Add an argument for the area label.

	** Revert Rodney's last patch.

2004-03-30  Rodney Dawes  <dobey@ximian.com>

	* filter-editor.c (filter_editor_new): Use the new "filter_editor"
	that has been added to the glade file
	* filter.glade: Remove an unused piece of UI definition and add a
	new "filter_editor" that is the same as rule_editor, only for the
	filter editor dialogs, and change "Filter Rules" to "Search Rules"
	in the rule_editor
	* rule-editor.c (rule_editor_new): Set the child widget of the editor
	dialog appropriately

2004-03-29  Rodney Dawes  <dobey@ximian.com>

	* filter-filter.c (get_widget):
	* filter-rule.c (get_widget): Fix packing of the hbox that contains
	the actual input widgets to expand and fill

2004-03-26  Not Zed  <NotZed@Ximian.com>

	* filter-option.c (filter_option_add): return the added option.
	(clone): make sure we set the current option properly on the new
	copy.  See #56028.

	* filtertypes.xml: s/pipe to shell command/pipe to program/
	s/shell command/run program/, cleans up the UI a lot.

2004-03-20  Danilo Šegan  <dsegan@gmx.net>

	* filter-datespec.c (set_button): Use ngettext for handling plurals.
	(timespans): Use C preprocessor hacks to make xgettext see real
	ngettext messages (fixes part of #53464).

2004-03-16  Jeffrey Stedfast  <fejj@ximian.com>

	* filter-rule.c (rule_copy): Don't ref the newly cloned rule (fix
	to previous patch).

2004-03-14  Bill Zhu  <bill.zhu@sun.com>

	* filter-rule.c (rule_copy): When copying a FilterPart of a rule, we
	need copy the data of parts together but not only copy the pointer.

2004-04-15  Rodney Dawes  <dobey@ximian.com>

	* filter-datespec.c (validate):
	(button_clicked): Hide the separators on these dialogs
	* filter-editor.c (filter_editor_new): Re-pack the rule_editor widget
	in here, and get rid of the GtkFrame-related code
	* filter-file.c (validate): Hide the separators on these dialogs
	* filter-filter.c (get_widget): Get rid of the GtkFrame, and relayout
	the widgets to be HIG-compliant
	* filter-folder.c (validate): Hide the separator on this dialog
	* filter-input.c (validate): Hide the separator on this dialog
	* filter-part.c (main): Hide the separator on this dialog
	* filter-rule.c (validate): Hide the separator on this dialog
	(get_widget): Get rid of the GtkFrame, and relayout the widgets to be
	HIG-compliant
	* filter.glade: Make the widget layouts here be HIG-compliant
	* rule-context.c (new_rule_response):
	(rule_context_add_rule_gui): Hide the separators on these dialogs
	* rule-editor.c (rule_editor_new): Get rid of the GtkFrame-related code
	(add_editor_response): Hide the dialog separator here
	(rule_add): Hide the dialog separator here
	(edit_editor_response): Hide the dialog separator here
	(rule_edit): Hide the dialog separator here
	(rule_editor_construct): Remove the rule_editor repacking code
	Set the dialog vbox's border width to 12
	Set the mnemonic for the filter label here
	Hide the dialog separator on the filter editor dialog
	* vfolder-editor.c (vfolder_editor_new): Re-pack the appropriate
	editor widget in here
	Get rid of the GtkFrame-related code
	* vfolder-rule.c (validate): Hide the dialog separators here

	Original patch from William Jon McCann

2004-02-20  Jeffrey Stedfast  <fejj@ximian.com>

	* rule-editor.c (rule_delete): After setting the new selected
	iter, call cursor_changed() so we can update state. Fixes bug
	#54205.

2004-02-20  Not Zed  <NotZed@Ximian.com>

	** See bug #54338.

	* vfolder-rule.c: instead of overriding the filter-rule's 'source'
	attribute for 'with sources', add a 'with' enum.
	(xml_decode): handle loading old-format files, as well as new
	ones, where the with is a prop on the sources xml.
	(xml_encode): set 'with' on save.
	(rule_copy): copy across with value.
	(get_widget): just hook onto option menu changed, dont bother
	setting up any per-item callbacks.
	(select_source_with_changed): callback to monitor source 'with'
	type.

2004-02-17  Not Zed  <NotZed@Ximian.com>

	* filter-int.c (int_clone): implement, since we dont store the
	min/max values in the xml output, we lose it otherwise.  Bug
	#54155.

2004-02-06  Hans Petter Jansson  <hpj@ximian.com>

	* filter-input.c (filter_input_init): Default to an empty string
	for the value.
	(xml_decode): Remove old values before decoding the new ones.

2004-02-03  Dan Winship  <danw@ximian.com>

	* Makefile.am (INCLUDES): add widgets/misc

2004-01-20  Not Zed  <NotZed@Ximian.com>

	* rule-context.c (revert): load from the just-loaded 'userdoc'
	rather than rc->user.
	(rule_context_finalise): remove user and system xmldoc files.
	(load): make rc->system and rc->user locals systemdoc userdoc, and
	free them immediately.

2004-01-16  Not Zed  <NotZed@Ximian.com>

	** See bug #52467.

	* vfolder-rule.c (vfr_folder_response): convert the uri to an
	evolution uri, rather than a camel one, for storage.  And remove
	double-calls to geT_selected_uri.
	(format_source): treat uri as an evolution uri and convert to a
	camel one to get something meaningful out of it.

2004-01-15  Radek Doulik  <rodo@ximian.com>

	* filtertypes.xml: s/spam/junk, added junk test rule, it must be
	lost while porting to 1.5

2003-08-20  Not Zed  <NotZed@Ximian.com>

	** See bug #47751.

	* rule-editor.c (add_editor_response, edit_editor_response) 
	(rule_edit, rule_add, rule_editor_construct, editor_response):
	* rule-context.c (new_rule_response, rule_context_add_rule_gui): 
	* filter-datespec.c (button_clicked): RESPONSE_REJECT/ACCEPT ->
	RESPONSE_CANCEL/OK

2003-12-23  JP Rosevear <jpr@ximian.com>

	* vfolder-rule.c (source_add): call peek instead of get as the
	function was renamed

2003-12-06  JP Rosevear <jpr@ximian.com>

	* */Makefile.am: Remove hard coded disable deprecated flags
	
2003-12-04  Radek Doulik  <rodo@ximian.com>

	* filter-rule.h: added FILTER_SOURCE_JUNKTEST - perform only
	junktest on incoming mail

2003-11-26  JP Rosevear  <jpr@ximian.com>

	* Makefile.am: turn on deprecated gtk stuff

2003-11-17  Jeffrey Stedfast  <fejj@ximian.com>

	* vfolder-rule.c: #include "em-folder-tree.h"

2003-11-17  Not Zed  <NotZed@Ximian.com>

	* vfolder-rule.c (source_add): fix for folder selector api changes.
	(vfr_folder_response): handle the dialog response.

2003-10-22  Ettore Perazzoli  <ettore@ximian.com>

	* filter.glade: Remove Viewports around the treeviews, since they
	already have a scrolled window around them and the viewports cause
	a double bevel to appear.

	* rule-editor.c (rule_editor_treeview_new): Make the scrolled
	window have a GTK_SHADOW_IN shadow.
	* vfolder-rule.c (vfolder_editor_sourcelist_new): Likewise

2003-10-10  Not Zed  <NotZed@Ximian.com>

	* filter-folder.c (folder_selected): change for
	emfolderselectionbutton fixes.
	(get_widget): same.

2003-09-29  Ettore Perazzoli  <ettore@ximian.com>

	* filter-folder.c (get_widget): Use an EMFolderSelectionButton.

2003-09-22  Jeffrey Stedfast  <fejj@ximian.com>

	* filter-int.c (get_widget): Listen to the "value-changed" signal
	rather than the "changed" signal. Fixes bug #48166.

2003-09-16  Jeremy Katz  <katzj@redhat.com>

	* rule-context.c (rule_context_add_part_set): type should be a GType.
	(rule_context_add_rule_set): Likewise.
	* rule-context.h: Update prototypes.  Use GType instead of int for
	type in _part_set_map and _rule_set_map.
	
2003-09-15  Not Zed  <NotZed@Ximian.com>

	** See Natzilla task #47524

	* filter-rule.h (FilterRule): add a system bit, for rules that
	shouldn't be edited/saved.

	* rule-context.c (load): check for ruleset maps in the system
	file, and if they exist, load in as system rules.
	(save): ignore system rules if they exist.

	* searchtypes.xml: Added a search-specific types folder.  Also
	contains system searches that cannot be deleted.

2003-08-18  Ettore Perazzoli  <ettore@ximian.com>

	* vfolder-rule.c (source_add): As a temporary measure, don't call
	evolution_shell_client_user_select_folder() since this is not done
	by the shell anymore.

	* filter-folder.c (get_widget): Return NULL for now, since we
	can't get the folder selector button from the shell anymore.

2003-08-05  Not Zed  <NotZed@Ximian.com>

	** See bug #42636.
	
	* vfoldertypes.xml: Fix some of the subject rules, they were
	missing matching ')'s.

2003-08-01  Not Zed  <NotZed@Ximian.com>

	** See bug #47208.

	* filter-code.c (build_code): wrap the expression in a match-all
	so boolean expressions work properly for folder searches.

2003-07-23  Dan Winship  <danw@ximian.com>

	* Makefile.am: Use EVO_MARSHAL_RULE

2003-06-13  Larry Ewing  <lewing@ximian.com>

	* filter-source.c (filter_source_finalize): free current_url.

2003-06-11  Mike Kestner  <mkestner@ximian.com>

	* rule-context.c (load): stat the user file before parsing.

2003-06-06  Jeffrey Stedfast  <fejj@ximian.com>

	Fixes some leaks from bug #43883.

	* filter-file.c (xml_decode): Free file->path and set it to
	NULL before entering the loop to decode it. This way if the value
	is already set we don't leak it. Set file->path = g_strdup (str ?
	str : ""); and then xmlFree the str.

2003-05-21  Jeffrey Stedfast  <fejj@ximian.com>

	* filter-source.c (filter_source_get_sources): Same as below.

	* filter-label.c (xml_create): Unref the gconf client when we're
	finished with it.
